
_Set_up:

;main.c,8 :: 		void Set_up() {
;main.c,10 :: 		ANSEL = 0;
	CLRF       ANSEL+0
;main.c,11 :: 		ANSELH = 0;      // the rest of the pins set as digital Inputs or outputs.
	CLRF       ANSELH+0
;main.c,12 :: 		C1ON_bit = 0;    // analog comparators off.
	BCF        C1ON_bit+0, BitPos(C1ON_bit+0)
;main.c,13 :: 		C2ON_bit = 0;
	BCF        C2ON_bit+0, BitPos(C2ON_bit+0)
;main.c,14 :: 		TRISB=0;
	CLRF       TRISB+0
;main.c,15 :: 		PORTB=0;
	CLRF       PORTB+0
;main.c,16 :: 		}
L_end_Set_up:
	RETURN
; end of _Set_up

_main:

;main.c,18 :: 		void main() {
;main.c,19 :: 		Set_up();
	CALL       _Set_up+0
;main.c,20 :: 		Init_Display_7seg();
	CALL       _Init_Display_7seg+0
;main.c,21 :: 		while (1)   {
L_main0:
;main.c,23 :: 		for(count=0; count<10000; count++) {
	CLRF       _count+0
	CLRF       _count+1
L_main2:
	MOVLW      39
	SUBWF      _count+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main10
	MOVLW      16
	SUBWF      _count+0, 0
L__main10:
	BTFSC      STATUS+0, 0
	GOTO       L_main3
;main.c,24 :: 		for(delay=0; delay<=100; delay++) {
	CLRF       _delay+0
L_main5:
	MOVLW      128
	XORLW      100
	MOVWF      R0+0
	MOVLW      128
	XORWF      _delay+0, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_main6
;main.c,25 :: 		display_7seg_Write(count, 'D');  //disable zeros
	MOVF       _count+0, 0
	MOVWF      FARG_display_7seg_Write_valor+0
	MOVF       _count+1, 0
	MOVWF      FARG_display_7seg_Write_valor+1
	MOVLW      68
	MOVWF      FARG_display_7seg_Write_ED+0
	CALL       _display_7seg_Write+0
;main.c,24 :: 		for(delay=0; delay<=100; delay++) {
	INCF       _delay+0, 1
;main.c,26 :: 		}
	GOTO       L_main5
L_main6:
;main.c,23 :: 		for(count=0; count<10000; count++) {
	INCF       _count+0, 1
	BTFSC      STATUS+0, 2
	INCF       _count+1, 1
;main.c,27 :: 		}
	GOTO       L_main2
L_main3:
;main.c,28 :: 		}
	GOTO       L_main0
;main.c,29 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
