
#include "DISPLAY_74HC595N.h"
#include "built_in.h"

#define SHIFT_CLOCK  RB4_bit
#define SHIFT_DATA   RB5_bit
#define SHIFT_LATCH  RB7_bit


void shiftdata595(unsigned char _shiftdata)
{
unsigned int i;
unsigned char temp;
temp = _shiftdata;
i=8;
while (i>0)
{
if ((temp&0x80)==0)
{
SHIFT_DATA = 0;
}
else
{
SHIFT_DATA = 1;
}
temp = temp<<1;
SHIFT_CLOCK = 1;
Delay_us(1);
SHIFT_CLOCK = 0;
i--;
}
}

void Latch(){

SHIFT_LATCH = 1;
Delay_us(2);
SHIFT_LATCH = 0;
Delay_us(2);

}
void Init_display_7seg()
{
   shiftdata595(0);
   shiftdata595(0x0F);
   Latch();
   delay_ms(100);
}

void Write_display_7seg(unsigned int valor, char ED) {   //funcion para ver la temperatura actual

    unsigned char  ch0, ch1, ch2, ch3;

    unsigned char display[11] = {63,6,91,79,102,109,125,7,127,103,0};
    
    if((ED=='E')&& valor<10000) {
    
    ch0 =  valor/1000;
    ch1= (valor/100)%10;
    ch2 = (valor/10)%10;
    ch3 =  valor%10;
  }
  
  if((ED=='D')&& valor<10000) {

    ch0 =  valor/1000;
    ch1= (valor/100)%10;
    ch2 = (valor/10)%10;
    ch3 =  valor%10;
   if(valor<1000)ch0=10;
   if(valor<100) ch1=10;
   if(valor<10)ch2=10;
  }
  
   shiftdata595(display[ch0]);
   shiftdata595(0x0E);
   Latch();
   shiftdata595(display[ch1]);
   shiftdata595(0x0D);
   Latch();
   shiftdata595(display[ch2]);
   shiftdata595(0x0B);
   Latch();
   shiftdata595(display[ch3]);
   shiftdata595(0x07);
   Latch();
   
    
}//***************************************************************************//