
#include "DISPLAY_74HC595N.h"
#include "built_in.h"

#define SHIFT_CLOCK  RB3_bit
#define SHIFT_DATA   RB4_bit
#define SHIFT_LATCH  RB6_bit


void shiftdata595(unsigned char _shiftdata)
{
unsigned int i;
unsigned char temp;
temp = _shiftdata;
i=8;
while (i>0)
{
if ((temp&0x80)==0)
{
SHIFT_DATA = 0;
}
else
{
SHIFT_DATA = 1;
}
temp = temp<<1;
SHIFT_CLOCK = 1;
Delay_us(1);
SHIFT_CLOCK = 0;
i--;
}
SHIFT_LATCH = 1;
Delay_us(2);
SHIFT_LATCH = 0;
Delay_us(2);
}

void Init_Display_7seg()
{
 shiftdata595(0xFF);
 delay_ms(100);
}

void display_7seg_Write(unsigned int valor, char ED) {

//char barrido=0;
char  num[4], env[4];

if(ED ==  'E')   {


 num[0] =  valor/1000;
 num[1] = (valor/100)%10;
 num[2] = (valor/10)%10;
 num[3] =  valor%10;
 
 env[0] =  num[0]+0xE0;
 env[1] =  num[1]+0xD0;
 env[2] =  num[2]+0xB0;
 env[3] =  num[3]+0x70;
}

if(ED ==  'D')   {

 num[0] =  valor/1000;
 num[1] = (valor/100)%10;
 num[2] = (valor/10)%10;
 num[3] =  valor%10;

 env[0] =  num[0]+0xE0;
 env[1] =  num[1]+0xD0;
 env[2] =  num[2]+0xB0;
 env[3] =  num[3]+0x70;

  if(valor<1000) env[0] = 0x80+0x0F;
  if(valor<100)  env[1] = 0x40+0x0F;
  if(valor<10)   env[2] = 0x20+0x0F;
 
}

if(valor > 9999) {
  env[0] =  0;
  env[1] =  0;
  env[2] =  0;
  env[3] =  0;
}

 shiftdata595(env[0]);
 delay_ms(1);
 shiftdata595(env[1]);
 delay_ms(1);
 shiftdata595(env[2]);
 delay_ms(1);
 shiftdata595(env[3]);
 delay_ms(1);

}